Edit Customer Details
Edit customers details in a specific conversation.
Headers
x-api-keystringrequiredAPI key used for authenticating requests to the API.
x-workspace-idstringrequiredWorkspace identifier for the API.
Path Parameters
conversationIdstringrequiredThe unique identifier for the conversation whose customer details need to be edited.
Request Body
namestringThe new name of the customer. Provide this field only if you wish to update the name.
phonestringThe new phone number of the customer in E.164 format (e.g., +1234567890). Provide this field only if you wish to update the phone number.
Make sure it is in E.164 format if you wish to change it.
emailstringThe new email address of the customer. Provide this field only if you wish to update the email.
Response Fields
statusstringIndicates the status of the request. For successful requests, the value is "success".
conversationIdstringThe unique identifier for the conversation where customer details were updated.
updatedCustomerDetailsobjectAn object containing the updated customer details.
{
"status": "success",
"conversationId": "123e3a141eccd665d3ba8abc",
"updatedCustomerDetails": {
"name": "Alice",
"email": "alice@example.com",
"phone": "+1234567890",
"_id": "123c8e368824aa5f130b9xyz",
"createdAt": "2025-01-01T12:00:00.000Z",
"updatedAt": "2025-01-02T18:00:00.000Z"
}
}